/*************************************************************************/
/*                                                                       */
/*        Produced by MetaGen version 2.0  -    1989-1995                 */
/*       Syntaxic Analyzer Meta Generator developped by                  */
/*                  Eric Lavillonniere                                   */
/*                                                                       */
/*************************************************************************/

#include "token.h"
#include "pretty.h"



#line 16 "pretty.met"
#undef toupper
#line 16 "pretty.met"
static int toupper(int y) {int x=y; x=x>='a' && x<='z' ? x-'a'+'A' : x;return x;}
#line 16 "pretty.met"
static string [200];
#line 16 "pretty.met"

#line 16 "pretty.met"
int pretty::SortKeyWord (int defaultValue)
#line 16 "pretty.met"
{
#line 16 "pretty.met"
    register int Value;
#line 16 "pretty.met"
    return(defaultValue);
#line 16 "pretty.met"
    return(defaultValue);
#line 16 "pretty.met"
}
#line 16 "pretty.met"

#line 16 "pretty.met"
int pretty::UpSortKeyWord(int value) 
#line 16 "pretty.met"
{
#line 16 "pretty.met"
    register char * ptSource=lexEl.string;
#line 16 "pretty.met"
    for (;*ptSource;ptSource++) *ptSource = toupper(*ptSource);
#line 16 "pretty.met"
    PUT_COORD_CALL;
#line 16 "pretty.met"
    return SortKeyWord (value);
#line 16 "pretty.met"
}
#line 16 "pretty.met"
/* 
-- 0 -- bidon
    ALWAYS
*/

signed char *pretty::_tokenArray [1] = {
    (signed char *) "\377\377"
};
typedef int (pretty::*(DEF_FUNC_TOKEN_ARRAY [1]))() ;
DEF_FUNC_TOKEN_ARRAY pretty::_tokenFuncArray = {
    /*bidon                          */0
};
int pretty::_tokenNbFuncArray [1] = {
    /*bidon                          */0
};
int _arityNode_pretty[] = {   2 , 1 , 1 , 1 , 1 , 2 , 3 , 1 , 1 , 1 , 0 , 0
                            , 1 , 1 , 1 };

    
STRINGELEM * listConst_pretty;
extern "C" {
extern PPTREE bri_parse_entry_pretty(int);
}

int pretty::init = 0 ;

void pretty::InitConst()
{
    if (!pretty::init) {
        pretty::init = 1 ;
        
        STRINGELEM * inter = listConst;
        listConst = (STRINGELEM *) 0;
        AddConstVal("pretty::GOTO_REL", 14);
        AddConstVal("pretty::GOTO", 13);
        AddConstVal("pretty::STR", 12);
        AddConstVal("pretty::UNMARK", 11);
        AddConstVal("pretty::MARK", 10);
        AddConstVal("pretty::TAB_VIRT", 9);
        AddConstVal("pretty::TAB", 8);
        AddConstVal("pretty::NEWLINE", 7);
        AddConstVal("pretty::ATTRIBUTS", 6);
        AddConstVal("IN_LANGUAGE", 5);
        AddConstVal("META", 4);
        AddConstVal("PREPOST", 3);
        AddConstVal("POST", 2);
        AddConstVal("PRE", 1);
        AddConstVal("LIST",0);
        listConst_pretty = listConst;
        listConst = inter;
        AddLang("pretty",_arityNode_pretty,listConst_pretty,bri_parse_entry_pretty,14,(OVER_LANG *) 0);
        }
}

/*Well done my boy */ 
